Loading...
Searching...
No Matches
XrdOssMSS.cc File Reference
`#include <dirent.h>`
`#include <unistd.h>`
`#include <cerrno>`
`#include <strings.h>`
`#include <signal.h>`
`#include <cstdio>`
`#include <ctime>`
`#include <sys/param.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <sys/wait.h>`
`#include "XrdNet/XrdNetOpts.hh"`
`#include "XrdNet/XrdNetSocket.hh"`
`#include "XrdOss/XrdOssApi.hh"`
`#include "XrdOss/XrdOssConfig.hh"`
`#include "XrdOss/XrdOssError.hh"`
`#include "XrdOss/XrdOssTrace.hh"`
`#include "XrdOuc/XrdOucProg.hh"`
`#include "XrdOuc/XrdOucStream.hh"`
`#include "XrdSys/XrdSysError.hh"`
`#include "XrdSys/XrdSysHeaders.hh"`
`#include "XrdSys/XrdSysLogger.hh"`
`#include "XrdSys/XrdSysPlatform.hh"`
Include dependency graph for XrdOssMSS.cc:

Go to the source code of this file.

## Classes

struct | XrdOssHandle

## Macros

#define | NegVal(x)
#define | XRDOSS_HT_DIR 4
#define | XRDOSS_HT_EOF 1

## Variables

XrdSysError | OssEroute
XrdSysTrace | OssTrace

## Macro Definition Documentation

## NegVal

#define NegVal | ( |  | x | ) |

Value:
(x <= 0 ? (x < 0 ? x : -1) : -x)

Definition at line 72 of file XrdOssMSS.cc.

Referenced by XrdOssSys::MSS_Readdir(), and XrdOssSys::MSS_Xeq().

## XRDOSS_HT_DIR

#define XRDOSS_HT_DIR 4

Definition at line 92 of file XrdOssMSS.cc.

Referenced by XrdOssSys::MSS_Closedir(), XrdOssSys::MSS_Opendir(), and XrdOssSys::MSS_Readdir().

## XRDOSS_HT_EOF

#define XRDOSS_HT_EOF 1

Definition at line 91 of file XrdOssMSS.cc.

Referenced by XrdOssSys::MSS_Readdir().

## Variable Documentation

## OssEroute

XrdSysError OssEroute

extern

## OssTrace

XrdSysTrace OssTrace

extern